Voicesmith
==========

Voicesmith app records an audio signal from the built-in microphone, processes it in some way and plays it back through the earphones. You can also use a Bluetooth headset instead of wired earphones.

There are some of the classical Phase Vocoder effects available. Raise or lower your voice pitch up to 12 semitones, make it sound like a robot, make it detuned or hoarse. Feel free to experiment with this app. Just try to alter your voice or of somebody else.

Voicesmith can also be used to perform the Delayed Auditory Feedback (DAF) and Frequency-Shifted Auditory Feedback (FAF). The altered auditory feedback is successfully applied in stuttering therapy, to help people speak more fluently. Please ask your therapist to find out more.

You should also know, the lowest possible feedback delay can vary from smartphone to smartphone. Moreover, the lowest possible delay on Android based smartphones is unfortunately bigger than on special hardware devices.

IMPORTANT NOTES:

* This app runs only on powerful smartphones, it means with 800 MHz and higher CPU's inside.
* You could also try to switch the default sample rate to 22050 Hz or 11025 Hz in order to reduce CPU usage.
* If the app still crashes or gets frozen -- I'm sorry! :-( Please send an application error report anyway.
* Don't forget to plug in earphones or similar! Because no echo cancellation is implemented yet.
* As you know, the software is provided "as is", without warranty of any kind.

DEVICES TESTED:

* Motorola Defy (22050 Hz)
* Samsung Galaxy S II (44100 Hz)
* HTC Wildfire :-(

SUPPORT:

Now if you have a lot of fun with the Voicesmith, feel free to rate, comment and recommend it -- so you'll get more features soon! For any requests about this product write to support@jurihock.de.

Binaries
--------

A ready-to-use application is freely available on [Google Play Store](http://play.google.com/store/apps/details?id=de.jurihock.voicesmith).

Source code and licensing
-------------------------

Voicesmith is an open source project licensed under the [GPL v3](http://www.gnu.org/licenses/gpl.html). Its source code is publicly available on [GitHub](http://github.com/jurihock/voicesmith).

Donate
------

Do you want support this project? Great! :-) Please make a [PayPal](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=RDZAFKVYQJYFA) donation or take a look at my [Amazon.de](http://www.amazon.de/registry/wishlist/32GEAFNKPX67Y) or [Amazon.com](http://www.amazon.com/registry/wishlist/24L7URDMP4U2N) wishlist. Thanks!

Thanks
------

* Udo Zoelzer et al. (Digital Audio Effects)
* Thierry Dutoit, Ferran Marques et al. (Applied Signal Processing)
* Julius Orion Smith (Online Books)
* Mark Borgerding (Kiss FFT)
* Cyril Mottier, Julien Dupouy (GreenDroid)